Subject: bug#32770: Packaging SLIME/SWANK as Common Lisp library

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 04 Oct 2018 22:38:26 +0200

> This sounds useful, but to me it feels like wrapping executables in
> LD_LIBRARY_PATH, which we try hard to avoid.
> 
> When using cffi:*foreign-library-directories* how would we deal with
> cases where we have more than one package specifying cffi-packages?
> Would this option need to be considered for every package in the package
> closure?  Would it need to be handled by a profile hook in case these
> packages are installed?

Every new path is appended to the list, and CFFI looks for the first matching
library.  This means that there could be conflicts if two packages feature the
same library name (which could be the case when a library is built with
different flags for instance).

I think you are right, we should go with Andy's approach.

-- 
Pierre Neidhardt
https://ambrevar.xyz/